Recommended update for ses-manual_en

SUSE Recommended Update: Recommended update for ses-manual_en
Announcement ID: SUSE-RU-2019:1814-1
Rating: low
References: #1129108 #1134992 #1135939 #1136624 #1136871 #1137945 #1138181 #1138189 #1138191
Affected Products:
  • SUSE Enterprise Storage 6

An update that has 9 recommended fixes can now be installed.

Description:

This update for ses-manual_en fixes the following issues:

  • hint from dbyte on disabling 'subvolume_init'
  • set 'require-osd-release' after OSDs upgrade (jsc#SES-355)
  • check for 'recovery_deletes' and 'purged_snapdirs' (jsc#SES-354)
  • OGW frontends + their configuration (jsc#SES-453)
  • clarify when Samba oplocks / leases are safe to use (jsc#SES-178)
  • mapping RBD using old kernel clients (bsc#1134992)
  • disabling AppArmor during upgrade (bsc#1137945)
  • CDTB clusters not online-upgradeable (bsc#1129108)
  • Prometheus Alertmanager SNMP trap receiver (jsc#SES-83)
  • co-location of services on HA nodes (bsc#1136871)
  • online cluster upgrade explanation (bsc#1135939)
  • listing orphaned packages (bsc#1136624)
  • updated 'profile-*/' directory to 'role-storage/' (bsc#1138181)
  • Civetweb replaced by Beast (bsc#1138191)
  • Fixes a typo in YML file path (bsc#1138189)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Enterprise Storage 6:
    zypper in -t patch SUSE-Storage-6-2019-1814=1

Package List:

  • SUSE Enterprise Storage 6 (noarch):
    • ses-admin_en-pdf-6+git56.4984303-3.3.1
    • ses-deployment_en-pdf-6+git56.4984303-3.3.1
    • ses-manual_en-6+git56.4984303-3.3.1

References: